# std::regex_token_iterator<BidirIt,CharT,Traits>::operator*, operator->

From cppreference.com
< cpp‎ | regex‎ | regex token iterator

const value_type& operator*() const; |  | (since C++11)
const value_type* operator->() const; |  | (since C++11)

Returns a pointer or reference to the current match.

The behavior is undefined if the iterator is end-of-sequence iterator.

### Return value

A pointer or reference to the current match.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/regex_token_iterator/operator*&oldid=105450"